Get Collection Endpoint
curl --request GET \
--url https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_type": "long_tail_collection",
"externally_owned": true,
"title": "<string>",
"uri": "<string>",
"permissions": {
"can_edit_metadata": true,
"can_edit_visibility": true,
"can_update_products": true,
"can_edit_product_source_rules": true,
"can_pin_products": true,
"can_pin_collections": true,
"can_hide_products": true,
"can_edit_images": true,
"can_edit_content": true,
"can_delete": true
},
"market_context": {
"market_group_id": "<string>",
"market_id": "<string>",
"resolved_market": "<string>"
},
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"localized_titles": {},
"n_main_products": 123,
"manual_product_count": 123,
"image_urls": [],
"cover_image_url": "<string>",
"content_blocks": [],
"chunk_type": "similar",
"ranking_type": "top",
"show_in_filter": true,
"show_in_search_suggestions": false,
"appear_in_quicklinks": true,
"display_breadcrumb": true,
"children": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Get Collection Endpoint
GET
/
api
/
v1
/
merchants
/
{merchant_id}
/
collections
/
{collection_id}
Get Collection Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Available options:
long_tail_collection, campaign, category, smart_pick, style, brand, look Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
similar, complementary Available options:
top, similar, complementary Show child attributes
Show child attributes
Was this page helpful?

